baseline.corr {ptw} | R Documentation

## Baseline Correction using asymmetric least squares

### Description

This function estimates a baseline using asymmetric least squares and subtracts it from the data.

### Usage

    baseline.corr(y, ...)

### Arguments

`y` | signal(s) to correct. This can be a vector (containing one signal) or a matrix of signals(one signal per row)
`...` | other arguments to the `asysm` function.

### Value

`ycorr` | baseline corrected signal(s): a vector or a matrix of the same dimension as the input signal(s)

### Author(s)

Paul Eilers, Jan Gerretzen

### References

Eilers, P.H.C. (2004) "Parametric Time Warping", Analytical Chemistry, 76 (2), 404 – 411.

### Examples

    data(gaschrom)
    plot(gaschrom[1,], type = "l", ylim = c(0, 100))
    lines(baseline.corr(gaschrom[1,]), col = 2)

[Package ptw version 1.9-13 Index]